; typedef struct
; {
;   WORD           idReserved;   // Reserved (must be 0)
;   WORD           idType;       // Resource Type (1 for icons)
;   WORD           idCount;      // How many images?
;   ICONDIRENTRY   idEntries[1]; // An entry for each image (idCount of 'em)
; } ICONDIR, *LPICONDIR;

; typedef struct
; {
;   BYTE        bWidth;          // Width, in pixels, of the image
;   BYTE        bHeight;         // Height, in pixels, of the image
;   BYTE        bColorCount;     // Number of colors in image (0 if >=8bpp)
;   BYTE        bReserved;       // Reserved ( must be 0)
;   WORD        wPlanes;         // Color Planes
;   WORD        wBitCount;       // Bits per pixel
;   DWORD       dwBytesInRes;    // How many bytes in this resource?
;   DWORD       dwImageOffset;   // Where in the file is this image?
; } ICONDIRENTRY, *LPICONDIRENTRY;

struct ICONDIRENTRY

  bWidth        db    ? ; Width, in pixels, of the image
  bHeight       db    ? ; Height, in pixels, of the image
  bColorCount   db    ? ; Number of colors in image (0 if >=8bpp)
  bReserved     db    ? ; Reserved ( must be 0)
  wPlanes       dw    ? ; Color Planes
  wBitCount     dw    ? ; Bits per pixel
  dwBytesInRes  dd    ? ; How many bytes in this resource?
  dwImageOffset dd    ? ; Where in the file is this image?

ends

struct ICONDIR

idReserved      dw            ?  ; Reserved (must be 0)
idType          dw            ?  ; Resource Type (1 for icons)
idCount         dw            ?  ; How many images?
idEntries       ICONDIRENTRY     ; An entry for each image (idCount of 'em)

ends
