format PE GUI 4.0
entry start

include '%fasminc%\win32a.inc'
include '%fasminc%\macro\if.inc'
include 'iconstruct.inc'

Icon FILE 'Smiley.ico'

WHITE = 0FFFFFFh

section '.data' data readable writeable

DlgName	db "MyDialog",0

hInstance	dd ?
hBrush		dd ?
hIcon		dd ?

section '.code' code readable executable
start:
	invoke	GetModuleHandle, NULL
	mov	[hInstance],eax
	invoke	DialogBoxParam,[hInstance],DlgName,NULL,DlgProc,NULL
	invoke	ExitProcess,eax

proc DlgProc,hWnd,uMsg,wParam,lParam

	local ps:PAINTSTRUCT
	local hDC:DWORD
	
	.if [uMsg],e,WM_CTLCOLORDLG
		invoke 	SetBkColor,[wParam],WHITE
		invoke	CreateSolidBrush,WHITE
		mov	[hBrush],eax
		ret

	.elseif [uMsg],e,WM_INITDIALOG
		mov	edx,Icon
		mov	eax,[edx+ICONDIR.idEntries.dwImageOffset]
		add	eax,edx
		invoke	CreateIconFromResource,eax,[edx+ICONDIR.idEntries.dwBytesInRes],\
			TRUE,030000h
		mov	[hIcon],eax
		
	.elseif [uMsg],e,WM_PAINT
		lea	eax,[ps]
		invoke	BeginPaint,[hWnd],eax
		mov	[hDC],eax
		invoke	DrawIcon,[hDC],94,94,[hIcon]
		lea	eax,[ps]
		invoke	EndPaint,[hWnd],eax

	.elseif [uMsg],e,WM_CLOSE
		invoke	DeleteObject,[hBrush]
		invoke	EndDialog,[hWnd],0
	.else
		mov	eax,FALSE
		ret
	.endif
	mov	eax,TRUE
	ret
endp

include 'DisplayIcon.imp'

section '.rsrc' resource from 'Rsrc.res' data readable